com.taosdata.jdbc.ws

## Class AbstractWSResultSet

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractResultSet
    - - com.taosdata.jdbc.ws.AbstractWSResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

Direct Known Subclasses:
  BlockResultSet

    public abstract class AbstractWSResultSet
    extends AbstractResultSet

### Field Summary

Fields
`protected List<String>` `columnNames`
`protected RequestFactory` `factory`
`protected List<Integer>` `fieldLength`
`protected List<RestfulResultSet.Field>` `fields`
`protected boolean` `isClosed`
`protected ResultSetMetaData` `metaData`
`protected int` `numOfRows`
`protected long` `queryId`
`protected List<List<Object>>` `result`
`protected int` `rowIndex`
`protected Statement` `statement`
`protected Transport` `transport`

### Fields inherited from class com.taosdata.jdbc.AbstractResultSet

`timestampPrecision, wasNull`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractWSResultSet(Statement statement, Transport transport, RequestFactory factory, QueryResp response, String database)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `close()`
`abstract List<List<Object>>` `fetchJsonData()`
`ResultSetMetaData` `getMetaData()`
`boolean` `isClosed()`
`boolean` `next()`
`void` `reset()`

### Methods inherited from class com.taosdata.jdbc.AbstractResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, checkAvailability, clearWarnings, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setTimestampPrecision, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### statement

    protected final Statement statement

#### transport

    protected final Transport transport

#### factory

    protected final RequestFactory factory

#### queryId

    protected final long queryId

#### isClosed

    protected volatile boolean isClosed

#### metaData

    protected final ResultSetMetaData metaData

#### fields

    protected final List<RestfulResultSet.Field> fields

#### columnNames

    protected final List<String> columnNames

#### fieldLength

    protected List<Integer> fieldLength

#### result

    protected List<List<Object>> result

#### numOfRows

    protected int numOfRows

#### rowIndex

    protected int rowIndex

### Constructor Detail

#### AbstractWSResultSet

    public AbstractWSResultSet(Statement statement,
                               Transport transport,
                               RequestFactory factory,
                               QueryResp response,
                               String database)
                        throws SQLException

Throws:
  `SQLException`

### Method Detail

#### reset

    public void reset()

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Specified by:
  `next` in class `AbstractResultSet`
Throws:
  `SQLException`

#### fetchJsonData

    public abstract List<List<Object>> fetchJsonData()
                                              throws SQLException,
                                                     ExecutionException,
                                                     InterruptedException

Throws:
  `SQLException`
  `ExecutionException`
  `InterruptedException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Specified by:
  `close` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Specified by:
  `getMetaData` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Specified by:
  `isClosed` in class `AbstractResultSet`
Throws:
  `SQLException`